How to upgrade libzip version on cpanel for php version 7.3

July 4, 2019 336 views
PHP CentOS

I getting error on line setEncryptionName() i.e. [03-Jul-2019 09:18:36 UTC] PHP Fatal error: Uncaught Error: Call to undefined method ZipArchive::setEncryptionName() in /home/fincrm/public_html/TEST/testEncryption.php:9

2 Answers
bobbyiliev MOD July 4, 2019
Accepted Answer

Hello,

Have you tried running upcp to update your cPanel to the latest version and also running yum update?

Then after that you should try installing the zip module via EA4.

Let me know how it goes.
Bobby

  • I think we need to upgrade libzip version 1.1 to 1.5 but i don’t know the steps

Hello @agaikwad,

The “zip” PHP extension for PHP version 7.3 is compiled with Libzip version 1.1.2 in EasyApache 4:

# /opt/cpanel/ea-php73/root/usr/bin/php -i | grep Libzip
Libzip version => 1.1.2

A newer Libzip version isn’t provided at this time, however case ZC-4670 is open to request the inclusion of a newer Libzip version.

In the meantime, if you are open to using CloudLinux, they provide a newer Libzip version with their Alt-PHP package:

# /opt/alt/php73/usr/bin/php -i | grep Libzip
Libzip headers version => 1.3.2
Libzip library version => 1.3.2

Let me know if there are any additional questions I can help you with.

Thank you.

Have another answer? Share your knowledge.